Summary: Enhanced IP routing and network devices configuration tools
Name: iproute
Version: 2.4.7
Release: 6tr
Group: Network/Administration
Source: ftp://ftp.inr.ac.ru/ip-routing/iproute2-2.4.7-now-ss010824.tar.gz
Patch1: iproute2-2.4.7-kern.patch
Patch2: iproute2-2.4.7-fixes.patch
# the manpages from http://lartc.org/manpages/
Patch3: iproute2-2.4.7-man.patch.bz2
License: GPL
BuildRoot: /var/tmp/%{name}-root

%description
Linux 2.2 maintains compatibility with the basic configuration utilities of
the network (ifconfig, route) but a new utility is required to exploit the new
characteristics and features of the kernel. This package includes the new
utilities (/sbin/ip, /sbin/rtmon).

%prep
%setup -q -n iproute2
# %patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/iproute2
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 ip/ifcfg $RPM_BUILD_ROOT/sbin 
install -s -m 755 ip/ip ip/rtmon tc/tc $RPM_BUILD_ROOT/sbin 
install -m 755 ip/routef $RPM_BUILD_ROOT/usr/sbin
install -m 755 ip/routel $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ip/rtacct $RPM_BUILD_ROOT/usr/sbin
install -m 755 etc/iproute2/* $RPM_BUILD_ROOT/etc/iproute2
install -m 644 man/* $RPM_BUILD_ROOT/%{_mandir}/man8/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.decnet README.iproute2+tc RELNOTES
%doc doc/* examples
/sbin/*
/usr/sbin/*
/etc/iproute2/
%{_mandir}/man8/*

%changelog
* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-6tr
- Big rebuild

* Wed Jul  2 2003 Goetz Bock <bock at trustix dot org> 2.4.7-5bg
- added manpages (patch3)
- added some fixes (patch2)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-3em
- Rebuilt against glibc 2.3.2.

* Mon Nov 11 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-2ne
- Moved include files.

* Wed Aug 28 2002 Nico Erfurth <masta at trustix dot org> 2.4.7-1ne
- New Upstream version
- Added routel, routef to the filelist
- Added default configfiles

* Wed Aug 28 2002 Nico Erfurth <masta at trustix dot org> 2.2.4-5ne
- Added DEFINES to build to make it build on cloud and kernel 2.4

* Thu Jun 14 2001 Oystein Viggen <oysteivi at trustix dot com>
- No use stripping a script file (ifcfg)

* Tue May 30 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed the creation of ps files

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- first build
